Page MenuHomePhabricator

Anonymous edit changes page quality level to "0"
Closed, ResolvedPublic

Description

I don't know since when, but if an anonymous user edits/creates a page in Page: namespace then the page quality level is changed to "0" (= no text).

(This doesn't seem to be the case in the German Wikisource, where anonymous users have radio buttons to change page status.)

Default behaviour used to be that if an anonymous user edits a page then the quality level is set to "1" (new page) or there's no change in it.


Version: unspecified
Severity: normal

Details

Reference
bz60033

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz60033.
bzimport added a subscriber: Unknown Object (MLST).
Pikne created this task.Jan 14 2014, 10:05 AM

(In reply to comment #0)

I don't know since when, but if an anonymous user edits/creates a page in
Page:
namespace then the page quality level is changed to "0" (= no text).

(This doesn't seem to be the case in the German Wikisource, where anonymous
users have radio buttons to change page status.)

So where exactly did you see this behavior (in order to reproduce)?

(In reply to comment #1)

So where exactly did you see this behavior (in order to reproduce)?

Elsewhere than German Wikisource, like English, French or Estonian Wikisource.

Change 107597 had a related patch set uploaded by Tpt:
Don’t use 0 as proofreading level for edits from unallowed users

https://gerrit.wikimedia.org/r/107597

Change 107597 merged by jenkins-bot:
Don’t use 0 as proofreading level for edits from unallowed users

https://gerrit.wikimedia.org/r/107597

Tpt added a comment.Jan 16 2014, 3:13 PM

A change that fix this issue have just been merged in master code. It should be deployed on Wikisources next Tuesday.

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:56 AM